#!/usr/bin/env python3
# -*- coding: utf-8 -*-

import os, glob
import pandas as pd


# Select aggrisk files
# file_paths = sorted(glob.glob('./*/aggrisk-*.csv', recursive=True))
file_paths = sorted(glob.glob('./*/out/aggrisk-stats-*.csv', recursive=True))
assert len(file_paths)!=0, 'No files to parse'

names = [file_path.split(os.sep)[1] for file_path in file_paths]
dfs = [pd.read_csv(file_path, comment='#') for file_path in file_paths]

for i, df in enumerate(dfs):
    df['name'] = names[i][3:]
    col = df.pop('name')
    df = df.insert(0, col.name, col)
    
df = pd.concat(dfs)
table = pd.pivot_table(df, 
                       values='loss', 
                       index='name', 
                       columns='loss_type',
                       aggfunc="mean")

table.to_csv('./scenarios_summary.csv')
